#pragma once

#include "CoreMinimal.h"
#include "BhvrBarkObjectTemplate.h"
#include "BhvrBarkRuleSchema.generated.h"

USTRUCT(BlueprintType)
struct FBhvrBarkRuleSchema
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FBhvrBarkObjectTemplate> Conditions;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FBhvrBarkObjectTemplate> Responses;

public:
	BHVRBARK_API FBhvrBarkRuleSchema();
};

FORCEINLINE uint32 GetTypeHash(const FBhvrBarkRuleSchema) { return 0; }
